package com.heyu.api.data.dao.ip;
/**
* <p>
* ip表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.ip.IpDatabaseEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface IpDatabaseDao extends BaseMapper<IpDatabaseEntity> {


	IpDatabaseEntity selectIpDatabaseById(@Param("id")Long id);


	Long insertIpDatabase(IpDatabaseEntity ipDatabase);


	Long insertOrUpdateIpDatabase(IpDatabaseEntity ipDatabase);


	int updateIpDatabaseById(IpDatabaseEntity ipDatabase);


	int updateCoverIpDatabaseById(IpDatabaseEntity ipDatabase);


	int deleteIpDatabaseById(@Param("id")Long id);


}